package ink.wgink.module.wechat.officialaccount.enums;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: ErrorMsgEnums
 * @Description:
 * @Author: wanggeng
 * @Date: 2021/4/28 6:08 上午
 * @Version: 1.0
 */
public enum ErrorMsgEnum {

    SYSTEM_BUSY(-1, "系统繁忙，此时请开发者稍候再试"),
    SUCCESS(0, "请求成功"),
    ERROR_40001(40001, "AppSecret错误或者AppSecret不属于这个公众号，请开发者确认AppSecret的正确性"),
    ERROR_40002(40002, "请确保grant_type字段值为client_credential"),
    ERROR_40164(40164, "调用接口的IP地址不在白名单中，请在接口IP白名单中进行设置。（小程序及小游戏调用不要求IP地址在白名单内。）"),
    ERROR_41002(41002, "appid为空"),
    ERROR_89503(89503, "此IP调用需要管理员确认,请联系管理员"),
    ERROR_89501(89501, "此IP正在等待管理员确认,请联系管理员"),
    ERROR_89506(89506, "24小时内该IP被管理员拒绝调用两次，24小时内不可再使用该IP调用"),
    ERROR_89507(89507, "1小时内该IP被管理员拒绝调用一次，1小时内不可再使用该IP调用");

    private int errCode;
    private String errMsg;

    ErrorMsgEnum(int errCode, String errMsg) {
        this.errCode = errCode;
        this.errMsg = errMsg;
    }

    public int getErrCode() {
        return errCode;
    }

    public String getErrMsg() {
        return errMsg == null ? "" : errMsg;
    }

    public static String getErrMsg(int errCode) {
        ErrorMsgEnum[] errorMsgEnums = values();
        for (ErrorMsgEnum errorMsgEnum : errorMsgEnums) {
            if (errorMsgEnum.errCode == errCode) {
                return errorMsgEnum.getErrMsg();
            }
        }
        return null;
    }
}
